Bug 204739 - security/tor: don't tamper with configuration
Summary: security/tor: don't tamper with configuration
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Brendan Fabeny
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-22 12:45 UTC by Dmitry Marakasov
Modified: 2015-12-17 11:03 UTC (History)
0 users

See Also:
bf: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Patch (1.88 KB, patch)
2015-11-22 12:51 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (2.34 KB, patch)
2015-11-25 11:09 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (2.43 KB, patch)
2015-11-25 11:22 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-11-22 12:45:04 UTC
Don't tamper with user configuration and enable logfile unconditionally.

While here, use PORTVERSION instead of DISTVERSION and remove always-true condition.
Comment 1 Dmitry Marakasov freebsd_committer 2015-11-22 12:51:32 UTC
Created attachment 163417 [details]
Patch
Comment 2 Dmitry Marakasov freebsd_committer 2015-11-25 11:09:11 UTC
Created attachment 163517 [details]
Patch

Update patch:
- Recreated against current port version, OSVERSION removal is no longer needed
- Fix build with tcmalloc & static tor
Comment 3 Dmitry Marakasov freebsd_committer 2015-11-25 11:22:02 UTC
Created attachment 163518 [details]
Patch
Comment 4 Brendan Fabeny freebsd_committer 2015-12-16 15:47:19 UTC
Fine, but since admins may need to adjust the logging, we need to tell them about it in UPDATING.
Comment 5 commit-hook freebsd_committer 2015-12-17 10:37:29 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 17 10:36:54 UTC 2015
New revision: 403901
URL: https://svnweb.freebsd.org/changeset/ports/403901

Log:
  - Fix build with TCMALLOC and STATIC_TOR

  PR:		204739
  Submitted by:	amdmi3
  Approved by:	portmgr blanket
  MFH:		2015Q4 (blanket)

Changes:
  head/security/tor/Makefile
  head/security/tor-devel/Makefile
Comment 6 commit-hook freebsd_committer 2015-12-17 10:38:30 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 17 10:38:19 UTC 2015
New revision: 403902
URL: https://svnweb.freebsd.org/changeset/ports/403902

Log:
  MFH: r403901

  - Fix build with TCMALLOC and STATIC_TOR

  PR:		204739
  Submitted by:	amdmi3
  Approved by:	portmgr blanket
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2015Q4/
  branches/2015Q4/security/tor/Makefile
  branches/2015Q4/security/tor-devel/Makefile
Comment 7 commit-hook freebsd_committer 2015-12-17 10:58:33 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 17 10:58:14 UTC 2015
New revision: 403904
URL: https://svnweb.freebsd.org/changeset/ports/403904

Log:
  - Don't override/force logfile configuration

  PR:		204739
  Submitted by:	amdmi3
  Approved by:	bf (maintainer)

Changes:
  head/UPDATING
  head/security/tor/Makefile
  head/security/tor/files/tor.in
  head/security/tor-devel/Makefile
  head/security/tor-devel/files/tor.in